Error al crear una biblioteca ndk

Tengo un proyecto androide con una parte nativa. Ahora estoy tratando de hacer eclipse compilar todas las cosas pero durante la compilación nativa me da este error:

sh ndk-build all ERROR: You are using a non-Cygwin compatible Make program. Currently using: C:/cygwin/bin/make To solve the issue, follow these steps: 1. Ensure that the Cygwin 'make' package is installed. NOTE: You will need GNU Make 3.81 or later! 2. Define the GNUMAKE environment variable to point to it, as in: export GNUMAKE=/usr/bin/make 3. Call 'ndk-build' again. 

Ahora puedo compilarlo desde Cygwin y funciona. También funciona desde eclipse en mi otra computadora con exactamente los mismos caminos.

Encontré que si ndk-build desde cygwin está bien pero si lanzo "sh ndk-build" me da el error de eclipse.

Creo que este es el problema, pero no sé por qué prepending el comando con sh no funciona (también prepending con bash me da el error).

¿Alguien puede ayudar?

Gracias de antemano.

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.